Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class SkinFactory

    java.lang.Object
      org.richfaces.skin.SkinFactory

    public abstract class SkinFactory

extends Object

Base factory class ( implement Singleton design pattern ). Produce self instance to build current skin configuration. At present, realised as lazy creation factory.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:43 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`SkinFactory()`

Method Summary
`abstract Skin` | `getBaseSkin(javax.faces.context.FacesContext facesContext)` Get base `Skin` implementation
`abstract Skin` | `getDefaultSkin(javax.faces.context.FacesContext context)` Get default `Skin` implementation.
`static SkinFactory` | `getInstance()` Deprecated.
`static SkinFactory` | `getInstance(javax.faces.context.FacesContext context)`
`abstract Skin` | `getSkin(javax.faces.context.FacesContext context)` Get current `Skin` implementation.
`abstract Skin` | `getSkin(javax.faces.context.FacesContext context, String name)`
`abstract Theme` | `getTheme(javax.faces.context.FacesContext facesContext, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkinFactory

    public SkinFactory()

Method Detail

### getInstance

    @Deprecated
    public static final SkinFactory getInstance()

  Deprecated.

### getInstance

    public static final SkinFactory getInstance(javax.faces.context.FacesContext context)

### getDefaultSkin

    public abstract Skin getDefaultSkin(javax.faces.context.FacesContext context)

  Get default `Skin` implementation.

  Parameters:
    `context` -
  Returns:

### getSkin

    public abstract Skin getSkin(javax.faces.context.FacesContext context)

  Get current `Skin` implementation.

  Parameters:
    `context` -
  Returns:

### getBaseSkin

    public abstract Skin getBaseSkin(javax.faces.context.FacesContext facesContext)

  Get base `Skin` implementation

  Parameters:
    `facesContext` -
  Returns:

### getTheme

    public abstract Theme getTheme(javax.faces.context.FacesContext facesContext,
                                   String name)

  Parameters:
    `facesContext` -
    `name` -
  Returns:

### getSkin

    public abstract Skin getSkin(javax.faces.context.FacesContext context,
                                 String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.